import { $post, $postParam, qsRepeatParams } from "@/plugins/axios";

// common-select

// user-manage
export const userListPage = datas => {
  return $postParam("/api/admin/user/query", datas);
};
export const userRoleList = datas => {
  return $postParam("/api/admin/user/roles", datas);
};
export const userListQuery = datas => {
  return $postParam("/api/admin/user/list", datas);
};
export const resetPwd = password => {
  return $postParam("/api/admin/user/change_password", { password });
};
export const userInsertOrUpdate = datas => {
  const url = datas.id ? "/api/admin/user/update" : "/api/admin/user/insert";
  return $postParam(url, datas, {
    paramsSerializer: qsRepeatParams
  });
};

// app-manage
export const appQuery = datas => {
  return $postParam("/api/admin/app/query", datas);
};
export const appList = datas => {
  // id/code/nameStartWith
  return $postParam("/api/admin/app/list", datas);
};
export const appInsertOrUpdate = datas => {
  if (datas.id) {
    return $postParam("/api/admin/app/update", datas);
  } else {
    return $postParam("/api/admin/app/insert", datas);
  }
};
// app-user-manage
export const appUserList = appId => {
  return $postParam("/api/admin/app/user/list", { id: appId });
};
export const appBindUser = ({ appId, userId }, isBind) => {
  if (isBind) {
    return $postParam("/api/admin/app/user/bind", { id: appId, userId });
  } else {
    return $postParam("/api/admin/app/user/unbind", { id: appId, userId });
  }
};

// app-module-manage
export const appModuleList = datas => {
  return $postParam("/api/admin/module/list", datas);
};
export const appModuleInsertOrUpdate = datas => {
  if (datas.id) {
    return $postParam("/api/admin/module/update", datas);
  } else {
    return $postParam("/api/admin/module/insert", datas);
  }
};
export const appModuleEnable = ({ id, enable }) => {
  return $postParam("/api/admin/module/update", { id, enable });
};
// app-version-manage
export const appVersionList = datas => {
  return $postParam("/api/admin/version/query", datas);
};
export const appSetMasterVersion = ({ appId, versionId }) => {
  return $postParam("/api/admin/app/master_version", { id: appId, versionId });
};
export const appVersionInsertOrUpdate = datas => {
  if (datas.id) {
    return $postParam("/api/admin/version/update", datas);
  } else {
    return $postParam("/api/admin/version/insert", datas);
  }
};
// app-env-manage
export const appEnvList = datas => {
  return $postParam("/api/admin/env/list", datas);
};
export const appEnvTypes = () => {
  return $postParam("/api/admin/env/types", {});
};
export const appEnvInsertOrUpdate = datas => {
  if (datas.id) {
    return $postParam("/api/admin/env/update", datas);
  } else {
    return $postParam("/api/admin/env/insert", datas);
  }
};
// app-config
export const appConfigGroups = () => {
  return $postParam("/api/admin/property/groups", {});
};
export const appConfigModes = () => {
  return $postParam("/api/admin/property/modes", {});
};
// baseline
export const appConfigBaseline = datas => {
  return $postParam("/api/admin/property/baseline", datas);
};
export const appConfigBaselineUpdate = (datas, headerData) => {
  return $post("/api/admin/property/baseline/update", datas, {
    headers: headerData
  });
};
export const appConfigBaselineItemUpdate = datas => {
  return $postParam("/api/admin/property/baseline/item/update", datas);
};
export const appConfigList = datas => {
  return $postParam("/api/admin/property/list", datas);
};
export const appConfigItemUpdate = datas => {
  return $postParam("/api/admin/property/item/update", datas);
};
export const appConfigItemDelete = datas => {
  return $postParam("/api/admin/property/item/delete", datas);
};
// app-nginx
export const appNginxConfig = datas => {
  return $postParam("/api/admin/nginx/find", datas);
};
export const appNginxConfigUpdate = datas => {
  return $postParam("/api/admin/nginx/update", datas);
};
