var TerserPlugin = require("terser-webpack-plugin");
var devProxy = {
  "/api/": {
    target: process.env.VUE_APP_DEV_PROXY,
    changeOrigin: true
  }
};

// 配置手册： https://cli.vuejs.org/zh/config/#vue-config-js
var config = {
  // publicPath: './',
  devServer: {
    port: 9012,
    proxy: devProxy
  },
  chainWebpack: config => {
    // webpack-chain配置手册：github.com/neutrinojs/webpack-chain#getting-started
    config.plugin("html").tap(args => {
      args[0].title = "运维管理平台";
      return args;
    });
  }
};

// compress配置手册：https://github.com/mishoo/UglifyJS2/tree/harmony#compress-options
if (process.env.NODE_ENV === "production") {
  config.configureWebpack = {
    optimization: {
      minimizer: [
        new TerserPlugin({
          terserOptions: { compress: { drop_console: true } }
        })
      ]
    }
  };
}

module.exports = config;
